r8507 - /scripts/fill_svn_props

dmn at users.alioth.debian.org dmn at users.alioth.debian.org
Tue Oct 23 14:20:57 UTC 2007


Author: dmn
Date: Tue Oct 23 14:20:57 2007
New Revision: 8507

URL: http://svn.debian.org/wsvn/?sc=1&rev=8507
Log:
Here's the script used to set trunk/*/debian's properties for svn-buildpackage support

Added:
    scripts/fill_svn_props   (with props)

Added: scripts/fill_svn_props
URL: http://svn.debian.org/wsvn/scripts/fill_svn_props?rev=8507&op=file
==============================================================================
--- scripts/fill_svn_props (added)
+++ scripts/fill_svn_props Tue Oct 23 14:20:57 2007
@@ -1,0 +1,19 @@
+#!/bin/sh
+
+# script to fill various SVN properties of packages' debian/ dir
+# replacing the need of .svn/deb-layout and avoiding several
+# repository lookups on each upgrade
+#
+# TO BE RUN IN trunk ONLY!
+
+set -eu
+
+SVN=svn+ssh://svn.debian.org/svn/pkg-perl
+
+find . -maxdepth 1 -type d -not -name '.*' \
+| sed 's,\./,,' | while read d; do
+    svn ps svn-bp:TrunkUrl $SVN/trunk/$d $d/debian
+    svn ps svn-bp:upsCurrentUrl $SVN/branches/upstream/$d/current $d/debian
+    svn ps svn-bp:upsTagUrl $SVN/branches/upstream/$d $d/debian
+    svn ps svn-bp:tagsUrl $SVN/tags/$d $d/debian
+done

Propchange: scripts/fill_svn_props
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list